Hi,
Being a web developer by profession i always faced this problem! When ever i wrote some script or some Iframe tags i always feared that will it work on older version of IE or not?
And to check that i always had to find out someone who is using a older browser which is again a rare case!
Quiet frustrated i got a plugin in firefox which can simulate an environment of older IE but again it cant run the local website(I mean the one which is running on localhost).
After a long and long search i got a solution from Yousif the geek guy of TredoSoft.
He created this application which will support multiple IEs together.
Check the screen shot below!

Its a installer and you just need to install it.
Download link for the Aplication is below.

NB: This works only in XP and some time crashes.Just restart the application and it will work

Let me know if that was of any use to you? I will be over excited to know from you guys! 🙂

SoftwareDeveloper, iot, CreativeTechnologist, MobileDev. Love building stuffs